PSP 6.60 Downgrader V4 Released

- Added Support for 6.60
- Fixed 6.60 problem that didn't allow to downgrade to anything greater than 6.20, thanks to Davee
= Allows any updater that is greater than or equal to the factory installed OFW (Has not been - fully tested, will most likely work on 500 and up)
- Special Sauce added by Proxima

After a long wait, here is the port of Davee's 6.35/6.31 downgrader to 6.60/6.39/6.38.

This is a very simple app, just put the desired destination OFW in PSP/GAME/UPDATE, and the app will read the factory installed OFW (aka, the OFW it came with), and allow any updater greater than or equal to this OFW. The range for this has NOT been tested, so I do not know which OFWs it is possible to downgrade to, for which model, but I've tested from 6.60 to 6.20 and 6.35, 6.39 should also work. If you use the wrong updater, the update itself will error out or go back to XMB.

The dev added that the latest update of the downgrader was made possible by Davee's discovery of a new kernel exploit on the firmware 6.60, which he then handed to Zecoxao, who later shared the exploit to him. And just a little reminder before you proceed, be sure to know what you are doing before downgrading.

Download Here

Subscribe for Latest News